mui.init({swipeBack: false
,gestureConfig: {tap:true,doubletap:true,longtap:true,hold:true,release:true}});

var 标题栏1 = new 标题栏("标题栏1",null,标题栏1_右侧图标被单击,标题栏1_左侧图标被单击);
var 网络操作1 = new 网络操作("网络操作1",网络操作1_发送完毕);
var HPbuild1 = new HPbuild("HPbuild1");
var 标签1 = new 标签("标签1",null);
var 编辑框set = new 编辑框("编辑框set",null,null,null,null,null);
var 编辑框pwd = new 编辑框("编辑框pwd",null,null,null,null,null);
var 按钮1 = new 按钮("按钮1",按钮1_被单击,null,null);
var 标签2 = new 标签("标签2",null);
var 按钮2 = new 按钮("按钮2",按钮2_被单击,null,null);
if(mui.os.plus){
    mui.plusReady(function() {
        主窗口_创建完毕();
        
    });
}else{
    window.onload=function(){ 
        主窗口_创建完毕();
        
    }
}

var key="mylock";
var start=false;
var http ="";
var newkey="";
function 主窗口_创建完毕(){
http=HPbuild1.取URL();
}

function 标题栏1_右侧图标被单击(){
	HPbuild1.信息框("用以获取 DHvm锁屏程序 的动态密码\n\n开发：DH软件工作室");
}

function 标题栏1_左侧图标被单击(){
	HPbuild1.信息框("用以获取 DHvm锁屏程序 的动态密码\n\n开发：DH软件工作室");
}

function 按钮1_被单击(){
if(start == false ){
	var login=文本操作.删首尾空(编辑框set.取内容());
	if(login=="" ){
		HPbuild1.信息框("请输入有效的设置密码！");
	}else{
		HPbuild1.显示等待框("正在获取...");
		var str="";
		str=HPbuild1.命令封装(key,key,1,"","autokey",login);
		网络操作1.发送网络请求(http,"post","txt",str,5000);
	}
}
}

function 网络操作1_发送完毕(发送结果,返回信息){
	HPbuild1.关闭等待框();
	start=false;
	if(发送结果==false ){
		HPbuild1.信息框("服务器连接失败！");
	}else{
		var arr;
		arr=HPbuild1.数据解析(返回信息,key,key);
		switch(arr[0]){
			case "Message" :
				HPbuild1.信息框(arr[1]);
			break;
			case "SS" :
				if(arr[1]=="autokey" ){
					编辑框pwd.置内容(arr[2]);
					newkey=arr[2];
					编辑框set.置可视(false);
					编辑框pwd.置可视(true);
					按钮1.置可视(false);
					按钮2.置可视(true);
					标签1.置可视(false);
					标签2.置可视(true);
				}
			break;
		}
	}
}
function 按钮2_被单击(){
	if(start == false ){
		HPbuild1.显示等待框("正在解锁...");
		var str="";
		str=HPbuild1.命令封装(key,key,1,"","unlock",newkey);
		网络操作1.发送网络请求(http,"post","txt",str,5000);
	}
}